Index: trunk/SRC/Documentation/xmldoc/makehtml.sh
===================================================================
--- trunk/SRC/Documentation/xmldoc/makehtml.sh	(revision 254)
+++ trunk/SRC/Documentation/xmldoc/makehtml.sh	(revision 255)
@@ -1,11 +1,13 @@
 #!/bin/bash -x
 #
-# update : 
+# update :
 # $Id$
 #
 # ++ one day we can add accessibility check with tidy with -access 3
-# diagnostics are not so good so far because tidy (HTML Tidy for Mac OS X 
+# diagnostics are not so good so far because tidy (HTML Tidy for Mac OS X
 # released on 1 September 2005) doesn't handle carriage returns
 #
+# fplod 2007-06-27T11:54:26Z aedon.locean-ipsl.upmc.fr (Darwin)
+# replacing saxon by xalan because of better results on callouts
 # fplod 2006-09-20T16:28:32Z aedon.locean-ipsl.upmc.fr (Darwin)
 # remove ?format=raw
@@ -24,5 +26,5 @@
 # fplod 2006-07-11T08:25:30Z aedon.locean-ipsl.upmc.fr (Darwin)
 # use of tidy and titlepage.saxo.xml
-# replace /sw/share/xml/xsl/docbook-xsl/html/docbook.xsl 
+# replace /sw/share/xml/xsl/docbook-xsl/html/docbook.xsl
 # by saxo_html.xsl
 # fplod 2006-07-05T13:18:56Z aedon.locean-ipsl.upmc.fr (Darwin)
@@ -32,8 +34,8 @@
 # add infoupdatekwd
 # fplod 2006-06-02T14:37:47Z aedon.locean-ipsl.upmc.fr (Darwin)
-# take only one tar file : the most recent using modification time 
+# take only one tar file : the most recent using modification time
 # fplod 2006-06-02T10:00:41Z aedon.locean-ipsl.upmc.fr (Darwin)
-# http://forge.ipsl.jussieu.fr/saxo/download/ is the new directory reference 
-# for tar file instead of ~/SAXO_SRC/ ie home of Sebatien Masson on 
+# http://forge.ipsl.jussieu.fr/saxo/download/ is the new directory reference
+# for tar file instead of ~/SAXO_SRC/ ie home of Sebatien Masson on
 # arete.lodyc.jussieu.fr
 # !!! saxo@forge.ipsl.jussieu.fr password is needed
@@ -41,5 +43,5 @@
 # . add creation of all_plots.html using firststeps.html
 # . remplace ~/SAXO_SRC/SRC/Documentation/xmldoc/figpng by ./figpng/
-# we suppose that this shell script is launched when we are in 
+# we suppose that this shell script is launched when we are in
 # <working space of saxo>/SRC/Documentation/xmldoc/
 #
@@ -70,5 +72,5 @@
       szdatasvn=${szdatasvn%*M}
       echo "iii : you will be asked ${lgforge}@forge.ipsl.jussieu.fr passwd two times"
-      # find the most recent SAXO_SRC_yyyymmddrxxx.tar.gz in 
+      # find the most recent SAXO_SRC_yyyymmddrxxx.tar.gz in
       # /ipsl/forge/projets/saxo/download/
       infosrc=$(ssh ${lgforge}@forge.ipsl.jussieu.fr ls -lht /ipsl/forge/projets/saxo/download/SAXO_SRC_*.tar.gz  | head -n 1)
@@ -78,5 +80,5 @@
       ndate=${filesrc##*_}
       ndate=${ndate%.tar.gz}
-      # find the most recent SAXO_DATA_yyyymmddrxxx.tar.gz in 
+      # find the most recent SAXO_DATA_yyyymmddrxxx.tar.gz in
       # /ipsl/forge/projets/saxo/download/
       infodata=$(ssh ${lgforge}@forge.ipsl.jussieu.fr ls -lht /ipsl/forge/projets/saxo/download/SAXO_DATA_*.tar.gz | head -n 1)
@@ -211,5 +213,5 @@
 #
 # production of titlepage.saxo.xsl
-# 
+#
 # si pb reseau remplacer sur mac par la ligne suivante
 titlepagexsl=http://docbook.sourceforge.net/release/xsl/current/template/titlepage.xsl
@@ -237,5 +239,5 @@
           -e s/"\&szsrcsvn\;"/${szsrcsvn}/g \
           -e s/"\&szdatasvn\;"/${szdatasvn}/g \
-          ${1}.xml > ${1}_${$}.xml 
+          ${1}.xml > ${1}_${$}.xml
    ;;
    firststeps)
@@ -258,18 +260,18 @@
           -e s/"\&figspltt_orca2_stride\;"/"${figspltt_orca2_stride}"/g \
           -e s/"\&figspltt_orca05_stride\;"/"${figspltt_orca05_stride}"/g \
-          ${1}.xml > ${1}_${$}.xml 
+          ${1}.xml > ${1}_${$}.xml
    ;;
    infoupdatekwd)
       sed -e "/-- rows from updatekwd.pro --/r /tmp/rowskwd.xml" \
-          ${1}.xml > ${1}_${$}.xml 
+          ${1}.xml > ${1}_${$}.xml
       /bin/rm /tmp/rowskwd.xml
    ;;
    infoupdatecm)
       sed -e "/-- rows from updateold.pro --/r /tmp/rowscm.xml" \
-          ${1}.xml > ${1}_${$}.xml 
+          ${1}.xml > ${1}_${$}.xml
       /bin/rm /tmp/rowscm.xml
    ;;
    faqsaxo|websaxo)
-      # resolve xinclude 
+      # resolve xinclude
       xmllint --xinclude \
               --output ${1}_${$}.xml ${1}.xml
@@ -282,22 +284,18 @@
    ;;
    *)
-      cp ${1}.xml ${1}_${$}.xml 
+      cp ${1}.xml ${1}_${$}.xml
       echo "iii : no xml transformation needed"
    ;;
 esac
 #
-CLASSPATH="${CLASSPATH}:\
-/sw/share/java/saxon/saxon.jar:\
-/sw/share/xml/xsl/docbook-xsl/extensions/saxon653.jar"
+CLASSPATH=$CLASSPATH:/usr/Xalan/xalan.jar:/usr/Xalan/xml-apis.jar:\
+/usr/Xalan/xercesImpl.jar:/usr/docbook-xsl/extensions/xalan25.jar
 export CLASSPATH
 #
-java com.icl.saxon.StyleSheet -o ${1}.html ${1}_${$}.xml  \
-saxo_html.xsl \
-section.autolabel=1 html.stylesheet="style.css saxo.css" css.decoration=1 \
-callout.graphics.extension=".png" \
-callout.graphics="1" \
-callout.graphics.path="images/callouts/" \
-use.extensions=1 \
-callouts.extension=1
+java org.apache.xalan.xslt.Process -out ${1}.html -in ${1}_${$}.xml  \
+-xsl saxo_html.xsl \
+-param section.autolabel 1 \
+-param html.stylesheet "style.css saxo.css" \
+-param css.decoration 1
 status=${?}
 if [ ${status} -ne 0 ]
@@ -321,9 +319,9 @@
 	  -e s?"../../saxo/browser/trunk/SRC/Documentation/idldoc_html_output/"?"../idldoc_html_output/"?g \
 	  -e s?"../../saxo/browser/trunk"?"http://forge.ipsl.jussieu.fr/saxo/browser/trunk"?g \
-          ${1}.html > ${1}_${$}.html 
+          ${1}.html > ${1}_${$}.html
       mv ${1}_${$}.html ${1}.html
       ;;
 esac
-# 
+#
 # use of tidy to have a W3C compliant html file
 tidy -m ${1}.html
Index: trunk/SRC/Documentation/xmldoc/savesaxo.sh
===================================================================
--- trunk/SRC/Documentation/xmldoc/savesaxo.sh	(revision 254)
+++ trunk/SRC/Documentation/xmldoc/savesaxo.sh	(revision 255)
@@ -99,5 +99,5 @@
 #
 docompileall=1
-dohtml=0
+dohtml=1
 dooldtest=0
 doidlwavedoc=0
